%define upstream_name    TAP-SimpleOutput
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Simple closure-driven TAP generator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Perl::Version)
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
We provide one function, 'counters()', that returns a number of simple
closures designed to help output TAP easily and correctly, with a minimum
of fuss.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.9.0-4.mga9
+ Revision: 1810260
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1506210
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1286231
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.9.0-1.mga7
+ Revision: 1134080
- update to 0.009

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1033804
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 966370
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.3.0-1.mga6
+ Revision: 843632
- update to 0.003

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 744945
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 686306
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.2.0-1.mga5
+ Revision: 581342
- update to 0.002

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 514837
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 373012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 shlomif <shlomif> 0.1.0-1.mga3
+ Revision: 309857
- imported package perl-TAP-SimpleOutput


* Thu Oct 25 2012 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
